> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all FX trades

> Returns all cross-currency trades. You can include an optional `settlementId` query parameter to filter the trades to only a specific settlement.



## OpenAPI

````yaml openapi/cross-currency.yaml get /v1/exchange/trades
openapi: 3.0.2
info:
  version: ${version}
  title: Cross-Currency API
  description: >
    The Circle Cross-Currency API allows you to exchange fiat for USDC and
    exchange USDC for EURC.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Trades
    description: Execute currency exchange trades.
  - name: Payments
    description: Payment endpoints.
  - name: Settlements
    description: Settlement endpoints
paths:
  /v1/exchange/trades:
    get:
      tags:
        - Trades
      summary: Get all FX trades
      description: >-
        Returns all cross-currency trades. You can include an optional
        `settlementId` query parameter to filter the trades to only a specific
        settlement.
      operationId: getFxTrades
      parameters:
        - $ref: '#/components/parameters/SettlementId'
      responses:
        '200':
          description: Successfully retrieved trades.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetFxTradesResponse
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Trade'
              examples:
                response:
                  value:
                    data:
                      - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        from:
                          amount: '3.14'
                          currency: USDC
                        to:
                          amount: '3.14'
                          currency: USDC
                        status: pending
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
                        quoteId: b8627ae8-732b-4d25-b947-1df8f4007a29
                        settlementId: b8627ae8-732b-4d25-b947-1df8f4007a29
                        rate: 0.9039
                        expectedBatchTime: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    SettlementId:
      name: settlementId
      description: >-
        Queries items with the specified settlement id. Matches any settlement
        id if unspecified.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: b48c8962-8e9f-40c3-9f1d-d9adde2ffe61
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    Trade:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        from:
          $ref: '#/components/schemas/FxMoney'
        to:
          $ref: '#/components/schemas/FxMoney'
        status:
          $ref: '#/components/schemas/TradeStatus'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
        quoteId:
          $ref: '#/components/schemas/Id'
        settlementId:
          $ref: '#/components/schemas/Id'
        rate:
          type: string
          description: Rate associated with the FX trade.
          example: 0.9039
        expectedBatchTime:
          $ref: '#/components/schemas/UtcTimestamp'
          description: Expected time for the trade to be batched for settlement.
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    FxMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FxCurrency'
    TradeStatus:
      type: string
      description: Status of the trade.
      enum:
        - pending
        - confirmed
        - failed
        - complete
        - pending_settlement
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    FxCurrency:
      type: string
      enum:
        - USDC
        - EURC
        - MXN
        - BRL
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````